------------------------------------------------------------------------------------
--Name：            210603[简体征服][活动脚本]全球夏日祭活动
--Creator:      林嘉鑫
--Created:     2021-06-03
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>192
-- 地面出现光效
local effectObj01 = CppScriptMgr:AddEffect("veil", 213, 162);

-- 达西西、突突兔、呱唧、谢灵通、皮索、章教授和玩家
local Npc1 = CppScriptMgr:AddSimplePlayer(45607, 198,147, "Dashi", 4003000001,1)
Npc1:SetZoomPercent(100)
Npc1:SetDir(7);
local Npc2 = CppScriptMgr:AddSimplePlayer(45595, 198,175, "Tweak", 4003000002,1)
Npc2:SetZoomPercent(100)
Npc2:SetDir(5);
local Npc3 = CppScriptMgr:AddSimplePlayer(45611, 229,147, "Kwazii", 4003000003,1)
Npc3:SetZoomPercent(100)
Npc3:SetDir(1);
local Npc4 = CppScriptMgr:AddSimplePlayer(45580, 213,145, "Shellington", 4003000004,1)
Npc4:SetZoomPercent(100)
Npc4:SetDir(0);
local Npc5 = CppScriptMgr:AddSimplePlayer(45656, 198,161, "Peso", 4003000005,1)
Npc5:SetZoomPercent(100)
Npc5:SetDir(6);
local Npc6= CppScriptMgr:AddSimplePlayer(39173, 229,171, "Professor Inkling", 4003000006,1)
Npc6:SetZoomPercent(100)
Npc6:SetDir(3);

local hero = CppScriptMgr:QueryHero()
local heroname = hero:GetName()
local sex = hero:GetSex()
hero:SetPos(222,175)
hero:SetDir(3)

-- 渐变进场
CppScriptMgr:SetViewPosByCell(213, 162)
CppScriptMgr:SetViewScale(128);
CppScriptMgr:SetLightScreen(2000);
CppScriptMgr:WaitMilSec(2000);

local effectObj01 = CppScriptMgr:AddEffect("veil", 213, 162);
Npc2:Say("It`s too dark... looks scary!", 2000)
CppScriptMgr:WaitMilSec(1500);
Npc3:Say("Kwazii is scared!", 2000)
CppScriptMgr:WaitMilSec(500);
local effectObj01 = CppScriptMgr:AddEffect("veil", 213, 162);
CppScriptMgr:WaitMilSec(2000);

local effectObj01 = CppScriptMgr:AddEffect("veil", 213, 162);
local effectObj021 = CppScriptMgr:AddEffect("Exit", 213, 162);
CppScriptMgr:WaitMilSec(1000);
local effectObj022 = CppScriptMgr:AddEffect("Exit", 213, 162);
CppScriptMgr:WaitMilSec(1000);
local effectObj01 = CppScriptMgr:AddEffect("veil", 213, 162);
local effectObj023 = CppScriptMgr:AddEffect("Exit", 213, 162);
CppScriptMgr:WaitMilSec(2000);
CppScriptMgr:ClearEffect(effectObj021)
CppScriptMgr:ClearEffect(effectObj022)
CppScriptMgr:ClearEffect(effectObj023)
local effectObj03 = CppScriptMgr:AddEffect("turretProB980", 213, 162);
CppScriptMgr:WaitMilSec(500);
Npc6:Say("No! The swirl has appeared!", 2000)
Npc1:Say("Ahhhhhh...", 2000)
Npc3:Say("Kwazii doesn`t wanna be sucked in!#08", 2000)
Npc4:Say("How strong it is...", 2000)
hero:Say("Everybody, calm down!", 2000)
Npc5:Say("My body is out of control!#07", 2000)
Npc2:Say("Ahhhhhh...", 2000)
Npc1:WalkTo(213,162)
Npc2:WalkTo(213,162)
Npc3:WalkTo(213,162)
Npc4:WalkTo(213,162)
Npc5:WalkTo(213,162)
Npc6:WalkTo(213,162)
for i = 1,5 do
	hero:SetDir(7)
	hero:JumpTo(222 - i*9/5,175 - i*12/5)
	CppScriptMgr:WaitMilSec(400);
end
local effectObj04 = CppScriptMgr:AddEffect("Disapear1-1", 213, 162);
CppScriptMgr:WaitMilSec(2000);
Npc1:SetPos(0,0)
Npc2:SetPos(0,0)
Npc3:SetPos(0,0)
Npc4:SetPos(0,0)
Npc5:SetPos(0,0)
Npc6:SetPos(0,0)
hero:SetPos(0,0)
CppScriptMgr:ClearEffect(effectObj03)
local effectObj04 = CppScriptMgr:AddEffect("istabhit_app", 213, 162);
CppScriptMgr:WaitMilSec(2000);
CppScriptMgr:SetDarkScreen(2000);
CppScriptMgr:WaitMilSec(2000);
CppScriptMgr:ClearEffect(effectObj04)
CppScriptMgr:SetLightScreen(2000);
CppScriptMgr:WaitMilSec(2000);
local effectObj05 = CppScriptMgr:AddEffect("cyclonehandcycle", 213, 162);
CppScriptMgr:WaitMilSec(2000);

local BOSS = CppScriptMgr:AddSimplePlayer(35017, 213,162, "Siren", 4003000007,1)
BOSS:SetZoomPercent(1)
for i = 1,100 do
	BOSS:SetZoomPercent(i*5)
	CppScriptMgr:WaitMilSec(50);
end
CppScriptMgr:ClearEffect(effectObj05)
CppScriptMgr:WaitMilSec(1000);

BOSS:Say("Come, come! I`ll swallow everything!", 2000)
CppScriptMgr:WaitMilSec(2000);

